#######    ########    #######    ########    #######    #######    #######
#      / / / /    License    \ \ \ \     
#   Copyright © 2017-2022 Eugene Istomin
#   Copyright © 2017-2022 Memex.Team
#   Designed using Psygital®, Archestry®, Valuers.Stream®, Transfer.Games®
#   and others Memex.Team concepts & products.    
#   This code is covered by a Memex.Team Licensing policy (License.md)
#######    ########    #######    ########    #######    #######    #######
# run me pipeline please
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{APP_NAME}}
  namespace: __NAMESPACE__
  labels:
    app: {{APP_NAME}}
spec:
  replicas: 1
  selector:
    matchLabels:
      app: {{APP_NAME}}
  template:
    metadata:
      labels:
        app: {{APP_NAME}}
    spec:
      containers:
        - name: {{APP_NAME}}
          envFrom:
          - secretRef:
              name: {{APP_NAME}}
              optional: false
          image: registry.do.{{DOMAIN_NAME}}/...../__BUILD_NUMBER__
          imagePullPolicy: Always
          ports:
          - containerPort: 80
          resources:
            requests:
                memory: "1024Mi"
                cpu: "1000m"
            limits:
                memory: "1024Mi"
                cpu: "1000m"
      imagePullSecrets:
        - name: k8s-docker-pull-token
---

apiVersion: v1
kind: Service
metadata:
  name: {{APP_NAME}}
  namespace: __NAMESPACE__
  labels:
    app: {{APP_NAME}}
spec:
  ports:
    - name: 80tcp
      port: 80
      protocol: TCP
      targetPort: 2000    
  selector:
    app: {{APP_NAME}}
  type: NodePort
